<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin UI POC</title>
    <script>
        window.onload = function () {
            document.getElementById('fileToUpload').addEventListener('change', function () {
                if (this.value) {
                    document.getElementById('submitFileUpload').removeAttribute('disabled');
                } else {
                    document.getElementById('submitFileUpload').setAttribute('disabled', 'disabled');
                }
            });
            // startWebCrawlURL
            document.getElementById('startWebCrawlURL').addEventListener('input', function () {
                if (this.value) {
                    document.getElementById('submitWebCrawl').removeAttribute('disabled');
                } else {
                    document.getElementById('submitWebCrawl').setAttribute('disabled', 'disabled');
                }
            });

            // runDataId
            document.getElementById('runDataId').addEventListener('input', function () {
                // window.alert('runDataId: ' + this.value);
                if (this.value) {
                    var runDataId = this.value;
                    document.getElementById('formWebCrawlLog').action = 'http://localhost:3000/webCrawlLog/' + runDataId;
                    document.getElementById('submitGetWebCrawlLog').removeAttribute('disabled');
                } else {
                    document.getElementById('submitGetWebCrawlLog').setAttribute('disabled', 'disabled');
                }
            });
        };
    </script>
</head>

<body>

    <h2>Get File List</h2>
    <form action="http://localhost:3000/getFiles/" id="formGetFileList" method="get">
        <p>
            To get the list of files in the S3 bucket click the button bellow
            <br /><br />
            <input type="submit" value="Get File List" id="submitGetFileList"/>
        </p>
    </form>
    <br />


    <h2>Admin UI File Upload</h2>
    <form action="http://localhost:3000/admin-ui-file-upload" method="post" enctype="multipart/form-data">
        <p>
            <input type="file" name="fileToUpload" id="fileToUpload">
            <br /><br />
            <label for="tags">File Tags:</label>&nbsp;&nbsp;
            <input type="text" name="tags" id="tags" size="80"
                value="audience=students/guardians/teachers&tag=Academic/Compliance/Policy&Active=true" />
            <br /><br />
            <input type="submit" value="Upload File" id="submitFileUpload" disabled />
        </p>
    </form>
    <br />

    <h2>Start Web Crawl</h2>
    <form action="http://localhost:3000/startWebCrawl" method="post">
        <p>
            <label for="startWebCrawlURL">Start Web Crawl URL:</label>&nbsp;&nbsp;
            <input type="text" name="startWebCrawlURL" id="startWebCrawlURL"
                value="https://www.powerschool.com/powerschool-ai/" size="80" />
            <br /><br />
            <input type="submit" value="Start Web Crawl" id="submitWebCrawl" />
        </p>
    </form>
    <br />

    <h2>Get Web Crawl Log</h2>
    <form action="http://localhost:3000//webCrawlLog/" id="formWebCrawlLog" method="get">
        <p>
            <label for="runDataId">Web Crawl Log runDataId:</label>&nbsp;&nbsp;
            <input type="text" name="runDataId" id="runDataId" size="20" />
            <br/> The runDataId is returned from the Start Web Crawl ex: 
            <br/>Process started - runDataId: ZENg8gpO97NJ16yFR - crawling URL: https://www.powerschool.com/powerschool-ai/
            <br/> It's also a "tag" attribute of any webcrawl output files uploaded in the S3 bucket.
            <br /><br />
            <input type="submit" value="Get Web Crawl" id="submitGetWebCrawlLog" disabled />
        </p>
    </form>
    <br />

</body>

</html>